Bug 1031321 - python3 isodate?
python3 isodate?
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-isodate (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: James Laska
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1086844
  Show dependency treegraph
 
Reported: 2013-11-16 15:10 EST by Brendan Jones
Modified: 2014-05-08 23:02 EDT (History)
3 users (show)

See Also:
Fixed In Version: python-isodate-0.5.0-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-08 23:02:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brendan Jones 2013-11-16 15:10:37 EST
Could we add python3 support to isodate? Looking at adding python3 to python-rdflib.

Suse seem to be having success with 2to3.

thanks
Comment 1 Dan Scott 2014-04-18 15:11:43 EDT
I have a branch that enables python3 support (and update it to 0.5.0) for python-isodate at https://github.com/dbs/python-isodate/tree/python3 - just a single commit.

This is blocking a python3 version of python-rdflib, so it is of some interest to me. I would be willing to be a co-maintainer of this package if that's needed.
Comment 2 Dan Scott 2014-04-19 11:29:54 EDT
I added another commit to my branch that adds a %check section so that we run the unit tests for python-isodate.
Comment 3 Dan Scott 2014-04-19 12:25:30 EDT
And one more commit to remove the python-setuptools-devel BR per https://fedoraproject.org/wiki/Changes/Remove_Python-setuptools-devel (bug 1076443)
Comment 4 Dan Scott 2014-04-20 12:12:10 EDT
And another commit to explicitly version the __python macros, per https://fedoraproject.org/wiki/Packaging:Python#Macros
Comment 5 Fedora Update System 2014-04-30 13:24:57 EDT
python-isodate-0.5.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-isodate-0.5.0-1.fc20
Comment 6 Fedora Update System 2014-05-01 03:05:48 EDT
Package python-isodate-0.5.0-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-isodate-0.5.0-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-5863/python-isodate-0.5.0-1.fc20
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2014-05-08 23:02:39 EDT
python-isodate-0.5.0-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.